| rsa.h | Header File

Header File Index

Routines for large number arithmetic, message digesting and RSA encryption

Functions

BN_power17Mod
  Raises a big integer to the 17-th power modulo n.
BN_powerMod
  Raises a big integer to the e-th power modulo n.
BN_prodMod
  Multiplies two big integers modulo n.
cdecrypt
  Decrypt a message.
MD5Done
  Produces a Message-Digest as a big integer.
MD5Final
  Ends an MD5 operation and produces a Message-Digest.
MD5Init
  Initializes Message-Diggest context for usage in MD5 algorithm.
MD5Update
  Process a message block using MD5 algorithm.

Predefined Types

BN
  A structure for describing very large integers (up to 2040 bits).
MD5_CTX
  A structure for describing the context data used for implementing the MD5 Message-Digest Algorithm.